#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tflite-support

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/35/87/c1ecf63c967ec85dd420e5fe41bf5195c7ccce747285eaf8c56b19185911/tflite_support-0.4.1-cp37-cp37m-manylinux2014_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/a5/11/a8b0a192a55063324453fe7b493a9a204e1eb6555be372f8f72b94401ef9/tflite_support-0.4.1-cp38-cp38-manylinux2014_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://files.pythonhosted.org/packages/c6/01/1901e77e709216eff0332cd168db6e39634f3dbfc8c6b30271294493a67e/tflite_support-0.4.1-cp39-cp39-manylinux2014_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc
